From 985bf8ca70a56393034d99047df2697e4fde4dfd Mon Sep 17 00:00:00 2001
From: Aditya Kamath <Aditya.Kamath@ibm.com>
Date: Tue, 2 May 2023 08:43:21 -0500
Subject: [PATCH] Fix Assertion pid != 0 failure in AIX.

In AIX if there is a main and a thread created from it , then once the
program completed execution and goes to pd_disable () inferior_ptid
had pid 0 leading to an assertion failure while finding the thread's data
in aix-thread.c file.

This patch is a fix for the same.
---
 gdb/aix-thread.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gdb/aix-thread.c b/gdb/aix-thread.c
index c587027fb6d..1af26c66bc3 100644
--- a/gdb/aix-thread.c
+++ b/gdb/aix-thread.c
@@ -1106,7 +1106,7 @@ static void
 pd_disable (void)
 {
   struct aix_thread_variables *data;
-  data = get_thread_data_helper_for_ptid (inferior_ptid);
+  data = get_thread_data_helper_for_pid (current_inferior ()->pid);
 
   if (!data->pd_able)
     return;
-- 
2.38.3

